package com.zcloud.basic.info.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.basic.info.persistence.dataobject.CorpInfoDO;

import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author zhaokai
 * @Date 2025-10-29 16:02:17
 */
public interface CorpInfoRepository extends BaseRepository<CorpInfoDO> {
    PageResponse<CorpInfoDO> listPage(Map<String, Object> parmas);
    PageResponse<CorpInfoDO> listBasicPage(Map<String, Object> parmas);
    PageResponse<CorpInfoDO> listPageNoPms(Map<String, Object> parmas);
    List<CorpInfoDO> listAll(Map<String, Object> params);

    Long getCorpCountByCorpName(String corpName);

    void saveCorp(CorpInfoDO corpInfoDO);

    void updateCorpName(CorpInfoDO corpInfo);

    Map<Long, String> getCorpinfoNameByCorpinfoId(List<Long> collect);

    List<CorpInfoDO> getCorpinfoByCode(String code);

    List<CorpInfoDO> getCorpinfoByCodeAndId(String code, Long id);

    Long checkCorpName(Map<String, Object> parmas);

    PageResponse<CorpInfoDO> corpUserMiddlePage(Map<String, Object> parmas);

    CorpInfoDO getCorpInfoByCorpName(String corpName);

    Boolean remove(Long id);

    List<CorpInfoDO> getByIdList(List<Long> corpinfoIds);

    Boolean isSupper();

    void deleteById(Long id);
}

